unit Preview;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  JPEG;

type
  TPreviewForm = class(TForm)
    procedure FormShow(Sender: TObject);
    procedure FormHide(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormClick(Sender: TObject);
  private
    { Private-Deklarationen }
    Image:TJPEGImage;
  public
    { Public-Deklarationen }
    FileName:string;
  end;

var
  PreviewForm: TPreviewForm;

implementation

{$R *.DFM}

procedure TPreviewForm.FormShow(Sender: TObject);
var SizeX,SizeY:integer;
    PosX,PosY:integer;
begin
  if Assigned(Image) then Image.Free;
  Image:=TJPEGImage.Create;
  with Image do begin
    Performance:=jpBestSpeed;
    LoadFromFile(FileName);
    SizeX:=Width; SizeY:=Height;
  end;
  ClientWidth:=SizeX; ClientHeight:=SizeY;
  PosX:=(Screen.Width-SizeX-8)SHR 1;
  PosY:=(Screen.Height-SizeY-24) SHR 1;
  if PosX<0 then PosX:=0;
  if PosY<0 then PosY:=0;
  Left:=PosX; Top:=PosY;
  Caption:=FileName;
end;

procedure TPreviewForm.FormHide(Sender: TObject);
begin
  if not Assigned(Image) then exit;
  Image.Free;
  Image:=nil;
end;

procedure TPreviewForm.FormPaint(Sender: TObject);
begin
  Canvas.Draw(0,0,Image);
end;

procedure TPreviewForm.FormClick(Sender: TObject);
begin
  Close;
end;

end.
